/*

  Knock Sensor Module KY-031

  Parts required:
  - Arduino Board
  - Knock Sensor Module KY-031

  Programming by René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 6 Jan 2020
  Version : v1.0

  Modulet kan købes på www.arduinotech.dk

*/

const int Shock = 7;                    // set variable Shock to Digital Port 7
int val ;                               // define variable val

void setup ()
{
  Serial.begin(9600);                   // begin Serial Monitor communication
  pinMode (Shock, INPUT);               // set Digital Pin 7 to an INPUT 
}

void loop ()
{
  val = digitalRead(Shock);             // read value for Digital Pin 7 and store in val

  if (val == HIGH)                      // if val is HIGH do
  {
    Serial.println("Nothing..");        // print to Serial Monitor
    delay(100);
  }
  else                                  // else
  {
    Serial.println("Knock Knock");      // print to Serial Monitor
    delay(1000);
  }
}
